%global patchlevel 302

Summary:       The quintessential all-purpose communications program
Name:          ckermit
Version:       9.0.%{patchlevel}
Release:       %mkrel 1
License:       BSD with advertising and MIT
Group:         Communications
Source0:       ftp://ftp.kermitproject.org/kermit/archives/cku%{patchlevel}.tar.xz
Source1:       ckermit.ini
Source2:       cku-%{name}.local.ini
Source3:       cku-%{name}.modem.generic.ini
Source4:       cku-%{name}.locale.ini
Source5:       cku-%{name}.phone
Source6:       README.pclos
URL:           http://www.kermitproject.org/ck90.html
BuildRequires: pam-devel
BuildRequires: pkgconfig
BuildRequires: openssl-devel
BuildRequires: gmp-devel
BuildRequires: libtermcap-devel
BuildRequires: ncurses-devel
BuildRequires: lockdev-devel
Requires:      %{_lib}lockdev1
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
C-Kermit is a combined serial and network communication software
package offering a consistent, medium-independent, cross-platform
approach to connection establishment, terminal sessions, file transfer
and management, character-set translation, and automation of
communication tasks.

%prep
%setup -q -c
cp %{SOURCE6} .

%build
%{__make} linux \
        KFLAGS="-O0 $RPM_OPT_FLAGS -Wall -DOPENSSL_097 -Dsdata=s_data -DHAVE_OPENPTY -D'krb5_init_ets(__ctx)='" \
        K4LIB= \
        K4INC= \
        K5LIB=-lutil \
        K5INC=-I%{_includedir}/et \
        SSLLIB= \
        SSLINC= \
        %{?_smp_mflags}

# convert doc file from ISO-8859-1 to UTF-8 encoding
for f in ckc%{patchlevel}.txt
do
  iconv -fiso88591 -tutf8 $f >$f.new
  touch -r $f $f.new
  mv $f.new $f
done

%install
rm -rf %{buildroot}
install -d %{buildroot}{%{_bindir},%{_mandir}/man1,%{_sysconfdir}/kermit}

perl -pi -e "s|%{_prefix}/local/bin/kermit|%{_bindir}/kermit|g" ckermit.ini

install -m 755 wermit %{buildroot}%{_bindir}/kermit
install -m 644 ckuker.nr %{buildroot}%{_mandir}/man1/kermit.1
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/kermit/
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/kermit/ckermit.local.ini
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/kermit/ckermit.modem.ini
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/kermit/ckermit.locale.ini
install -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/kermit/ckermit.phone

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/kermit
%dir %{_sysconfdir}/kermit
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/kermit/*
%{_mandir}/man1/kermit.1*
%doc COPYING.TXT
%doc ckc%{patchlevel}.txt
%doc README.pclos



%changelog
* Sat Jul 27 2013 billybot <billybot> 9.0.302-1pclos2013
- create package
